Bug 241472 - Review Request: ocaml-ocamlnet - Network protocols for OCaml
Review Request: ocaml-ocamlnet - Network protocols for OCaml
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks: 241476 241487 435286
  Show dependency treegraph
 
Reported: 2007-05-26 06:52 EDT by Richard W.M. Jones
Modified: 2008-02-28 10:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 12:09:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 06:52:54 EDT
Spec URL: http://annexia.org/tmp/ocaml-ocamlnet.spec
SRPM URL: http://annexia.org/tmp/ocaml-ocamlnet-2.2.7-1.src.rpm
Description: ocamlnet is a comprehensive library of network protocols and RFC
 implementations for OCaml.  The library homepage is here:
 http://www.ocaml-programming.de/programming/ocamlnet.html

 This is a first go at packaging the library, and I haven't included some
 of the more complex and esoteric features yet (specifically, lablgtk2 and
 SSL support).

 Note that nethttpd has a different license from the rest of the library, which
 is why I split it out into its own RPM.
Comment 1 Richard W.M. Jones 2007-05-29 11:05:37 EDT
Spec URL: http://annexia.org/tmp/ocaml-ocamlnet.spec
SRPM URL: http://annexia.org/tmp/ocaml-ocamlnet-2.2.7-3.src.rpm

Updated to remove empty file rpc-generator/dummy.mli, which Gerd Stoplmann
assures me is not needed.

Please note that rpmlint issues some warnings here:

(1) devel-file-in-non-devel-package: see Bug 241471.
(2) unstripped-binary-or-object: you mustn't try to strip OCaml bytecode
binaries, because stripping them removes the bytecode, and they no longer run.
(3) configure-without-libdir-spec: irrelevant because this isn't an
autoconf-generated configure
Comment 2 Richard W.M. Jones 2007-05-29 13:08:18 EDT
Spec URL: http://annexia.org/tmp/ocaml-ocamlnet.spec
SRPM URL: http://annexia.org/tmp/ocaml-ocamlnet-2.2.7-4.src.rpm

Updated to support ocaml-lablgtk2 package (see bug 241696).
Comment 3 Jason Tibbitts 2007-06-06 15:16:54 EDT
Xavier,
If you're going to review this and other ocaml packages you've assigned to
yourself, please set the fedora-review flag to '?'.  Thanks.
Comment 4 Xavier Lamien 2007-06-07 23:41:14 EDT
Starting review...
Comment 5 Xavier Lamien 2007-06-09 19:37:20 EDT
This package has a dependency on ocaml-findlib-devel too.
Adding the dependency bug #240557

This bug dependency must be approved and imported in order to make me able to
finalize and approve this one.
Comment 6 Richard W.M. Jones 2007-06-11 15:41:55 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-ocamlnet.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-ocamlnet-2.2.7-5.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.
Comment 7 Xavier Lamien 2007-08-02 11:46:43 EDT
Starting review...
Comment 8 Richard W.M. Jones 2007-08-02 12:03:36 EDT
Xavier: I just tried to build ocamlnet now and this package seems
to have suffered some bit-rot.  There's a camlp4 problem in particular
which I've asked about upstream.  So you might want to leave this alone
for now...
Comment 9 Xavier Lamien 2007-09-05 05:47:05 EDT
ping Richard ?
Any news about this issue ?
Comment 10 Richard W.M. Jones 2007-09-05 06:30:14 EDT
The news is that I really must get around to fixing this package :-)

Debian have fixed it, so I'll just copy their fix.

http://pkg-ocaml-maint.alioth.debian.org/debian-ocaml-status.html

I've got a bunch of real easy reviews waiting!
Bug 253564 Bug 253570 Bug 253571 Bug 275491
Comment 11 Richard W.M. Jones 2007-09-13 11:26:03 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-ocamlnet.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-ocamlnet-2.2.8.1-1.src.rpm

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 2.2.8.1-1
- New upstream version 2.2.8.1.
- License of the base package is in fact BSD.  Clarified also that
  the license of nethttpd is GPLv2+.
- Removed the camlp4 paths patch as it doesn't seem to be necessary.
- Add BRs for camlp4, ocaml-pcre-devel, ocaml-lablgtk-devel,
  openssl-devel
- Removed explicit requires, they're not needed.
- Strip binaries and libraries.
- Ignore Parsetree module in deps.

* Thu Aug  2 2007 Richard W.M. Jones <rjones@redhat.com> - 2.2.7-6
- ExcludeArch ppc64
- BR ocaml-pcre-devel
- Fix for camlp4 missing path
Comment 12 Richard W.M. Jones 2007-09-13 12:01:42 EDT
I forgot to add that rpmlint on the above package will complain with
error messages like this:

ocaml-ocamlnet-nethttpd.x86_64: E: useless-explicit-provides ocaml(Nethttpd_engine)

However this is not an error.  The package provides two sets of
modules with the same name but different implementations, which
can be selected separately with ocamlfind when linking.

# rpm -qlp ocaml-ocamlnet-nethttpd-2.2.8.1-1.x86_64.rpm 
/usr/lib64/ocaml/nethttpd
/usr/lib64/ocaml/nethttpd-for-netcgi1
/usr/lib64/ocaml/nethttpd-for-netcgi1/META
/usr/lib64/ocaml/nethttpd-for-netcgi1/nethttpd-for-netcgi1.cma
/usr/lib64/ocaml/nethttpd-for-netcgi1/nethttpd_engine.cmi
[...]
/usr/lib64/ocaml/nethttpd-for-netcgi2
/usr/lib64/ocaml/nethttpd-for-netcgi2/META
/usr/lib64/ocaml/nethttpd-for-netcgi2/nethttpd-for-netcgi2.cma
/usr/lib64/ocaml/nethttpd-for-netcgi2/nethttpd_engine.cmi
Comment 13 Xavier Lamien 2007-09-21 11:58:09 EDT
ok, 
I'll check this next week ;)
Comment 14 Xavier Lamien 2007-10-09 14:44:44 EDT
hum...

Koji fails on :
-------------------------------------------------------------------------
Welcome to Ocamlnet version 2.2.8.1
Checking for findlib... found
Checking multi-threading support... posix (ok)
Checking for PCRE... found
Checking operating system... Linux
    This OS supports passing credentials over Unix domain sockets
    Building rpc-auth-local
Checking for POSIX shared memory... not found
Checking switches for tcl.h... not ok

Please check -equeue-tcl-defs!
error: Bad exit status from /var/tmp/rpm-tmp.82618 (%prep)
-----------------------------------------------------------------

it's seem that some BR are missing
Comment 15 Xavier Lamien 2007-10-22 09:14:19 EDT
ping ?
Comment 16 Richard W.M. Jones 2007-10-23 05:01:15 EDT
Sorry, been on holiday.  I'll get back to this in a few days.
Comment 17 Richard W.M. Jones 2007-11-07 13:13:28 EST
This should fix it!

Spec: http://www.annexia.org/tmp/ocaml/ocaml-ocamlnet.spec
SRPM: http://www.annexia.org/tmp/ocaml/ocaml-ocamlnet-2.2.9-1.fc8.src.rpm

+* Wed Nov  7 2007 Richard W.M. Jones <rjones@redhat.com> - 2.2.9-1
+- New upstream release 2.2.9.
+- A more bletcherous, but more working, patch to fix the camlp4
+  missing path bug.  Hopefully this is very temporary.
+- Added missing BR tcl-devel which was stopping mock from working.
Comment 18 Xavier Lamien 2007-11-29 17:30:40 EST
Hello Richard, i'll check it and other one.
I was a bit busy at work these last times.
Comment 19 Xavier Lamien 2007-12-03 09:06:59 EST
Okay,

Everythings sound good.

+ Missing BR have been included.
+ Missing Path have been included.


==========
*APPROVED*
==========

You can now request your CVSsync.
Comment 20 Richard W.M. Jones 2007-12-05 05:43:04 EST
New Package CVS Request
=======================
Package Name: ocaml-ocamlnet
Short Description: Network protocols for OCaml
Owners: rjones,gemi
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 21 Kevin Fenzi 2007-12-05 14:21:25 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.